LocalVariableTypeTable (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.classfile

## Class LocalVariableTypeTable

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.LocalVariableTypeTable

- All Implemented Interfaces:
    Cloneable, Node

      public class LocalVariableTypeTable
      extends Attribute

  Since:
    6.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalVariableTypeTable(int name_index, int length, LocalVariable[] local_variable_table, ConstantPool constant_pool)`
    `LocalVariableTypeTable(LocalVariableTypeTable c)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `Attribute` | `copy(ConstantPool constant_pool)`
    `void` | `dump(DataOutputStream file)` Dump attribute to file stream in binary format.
    `LocalVariable` | `getLocalVariable(int index)`
    `LocalVariable[]` | `getLocalVariableTypeTable()`
    `int` | `getTableLength()`
    `void` | `setLocalVariableTable(LocalVariable[] local_variable_table)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalVariableTypeTable

          public LocalVariableTypeTable(LocalVariableTypeTable c)

    - #### LocalVariableTypeTable

          public LocalVariableTypeTable(int name_index,
                                        int length,
                                        LocalVariable[] local_variable_table,
                                        ConstantPool constant_pool)

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Description copied from class: `Attribute`
      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Attribute`
      Parameters:
        `v` - Visitor object

    - #### dump

          public final void dump(DataOutputStream file)
                          throws IOException

      Description copied from class: `Attribute`
      Dump attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

    - #### getLocalVariableTypeTable

          public final LocalVariable[] getLocalVariableTypeTable()

    - #### getLocalVariable

          public final LocalVariable getLocalVariable(int index)

    - #### setLocalVariableTable

          public final void setLocalVariableTable(LocalVariable[] local_variable_table)

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Attribute`
      Returns:
        String representation.

    - #### copy

          public Attribute copy(ConstantPool constant_pool)

      Specified by:
        `copy` in class `Attribute`
      Returns:
        deep copy of this attribute

    - #### getTableLength

          public final int getTableLength()

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.